Subject: Re: [PATCH for-stable-v4.19 00/16] arm64 spec mitigation backports

From: Greg KH <[email-masked]>
Date: Wed, 9 Oct 2019 10:04:22 +0200

On Tue, Oct 08, 2019 at 05:39:14PM +0200, Ard Biesheuvel wrote:
> This is a backport to v4.19 of the arm64 patches that exists in mainline
> to support CPUs that implement the SSBS capability, which gives the OS
> and user space control over whether Speculative Store Bypass is
> permitted in certain contexts. This gives a substantial performance
> boost on hardware that implements it.
> 
> At the same time, this series backports arm64 support for reporting
> of vulnerabilities via syfs. This is covered by the same series since
> it produces a much cleaner backport, where none of the patches required
> any changes beyond some manual mangling of the context to make them apply.
> 
> Build tested using a fair number of randconfig builds. Boot tested
> under KVM and on ThunderX2.

All now queued up, thanks.

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel